MailcrateDocs
Inbound

Get an inbound message

GET
/public/inbound-messages/{id}

Requires the inbound:read scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

id*string

Response Body

application/json
  1. response
id*string
status*string
contactId*string|null
inboundAddressId*string|null
fromAddress*string
toAddress*string
originalRecipient*string|null
subject*string|null
messageId*string|null
inReplyTo*string|null
references*array<string>
inReplyToDeliveryId*string|null
inReplyToInboundMessageId*string|null
threadRootId?string
threadRootType?string
Value in"delivery""inbound"
spamVerdict*string|null
virusVerdict*string|null
dmarcVerdict*string|null
isAutoReply*boolean
receivedAt*string
Formatdate-time
parsedAt*|
Formatdate-time
storageExpiresAt?string
Formatdate-time
bodyText?string|null
bodyHtml?string|null
bodyTextStripped?string|null
bodyHtmlStripped?string|null
attachments?array<>
Example Request
curl -X GET 'https://api.mailcrate.io/public/inbound-messages/string' \  -H 'Authorization: Api-Key <api_key>'
Example Response
{  "id": "string",  "status": "string",  "contactId": "string",  "inboundAddressId": "string",  "fromAddress": "string",  "toAddress": "string",  "originalRecipient": "string",  "subject": "string",  "messageId": "string",  "inReplyTo": "string",  "references": [    "string"  ],  "inReplyToDeliveryId": "string",  "inReplyToInboundMessageId": "string",  "threadRootId": "string",  "threadRootType": "delivery",  "spamVerdict": "string",  "virusVerdict": "string",  "dmarcVerdict": "string",  "isAutoReply": true,  "receivedAt": "2019-08-24T14:15:22Z",  "parsedAt": "2019-08-24T14:15:22Z",  "storageExpiresAt": "2019-08-24T14:15:22Z",  "bodyText": "string",  "bodyHtml": "string",  "bodyTextStripped": "string",  "bodyHtmlStripped": "string",  "attachments": [    {      "id": "string",      "filename": "string",      "contentType": "string",      "size": 0    }  ]}